ServerEvents.recipes(event => {
    event.remove({id: 'prettypipes:pipe'})
    event.remove({id: 'prettypipes:crafting_terminal'})
    event.remove({id: 'prettypipes:blank_module'})
    event.remove({id: 'prettypipes:pressurizer'})
    event.remove({id: 'prettypipes:item_terminal'})
  })

  ServerEvents.recipes(event => {
    //Pipe
    event.shaped('4x prettypipes:pipe',
      ['212','131','212'], {
        1: 'minecraft:redstone_block', 
        2: '#forge:ingots/steel',
        3: '#forge:glass'
    }).id('prettypipes:pipe')

    //Item Terminal
    event.shaped('prettypipes:item_terminal',
      ['123','465','321'], {
        1: '#forge:gems/diamond', 
        2: '#forge:ender_pearls',
        3: '#forge:storage_blocks/iron',
        4: 'prettypipes:high_retrieval_module',
        5: 'prettypipes:high_extraction_module',
        6: 'functionalstorage:storage_controller'
    }).id('prettypipes:item_terminal')

    //Item Terminal - Storage Drawers
    event.shaped('prettypipes:item_terminal',
      ['123','465','321'], {
        1: '#forge:gems/diamond', 
        2: '#forge:ender_pearls',
        3: '#forge:storage_blocks/iron',
        4: 'prettypipes:high_retrieval_module',
        5: 'prettypipes:high_extraction_module',
        6: 'storagedrawers:controller'
    }).id('prettypipes:item_terminal_sd')

    //Crafting Terminal
    event.shaped('prettypipes:crafting_terminal',
      ['121','232','121'], {
        1: '#forge:ingots/energetic_alloy', 
        2: 'immersiveengineering:craftingtable',
        3: 'prettypipes:item_terminal'
    }).id('prettypipes:crafting_terminal')

    //Blank Module
    event.shaped('prettypipes:blank_module',
      ['121','343','121'], {
        1: '#forge:storage_blocks/quartz', 
        2: '#forge:storage_blocks/redstone',
        3: '#forge:ingots/steel',
        4: 'prettypipes:pipe'
    }).id('prettypipes:blank_module')

    //Pipe Pressurizer
    event.shaped('prettypipes:pressurizer',
      ['121','232','121'], {
        1: '#forge:ingots/steel', 
        2: '#forge:storage_blocks/redstone_ingot',
        3: 'enderio:void_chassis'
    }).id('prettypipes:pressurizer')
  })